Subject: Re: bug#24670: Unexpected EOF reading a line (from guix pull)

From: ng0 <[email-masked]>
Date: Tue, 11 Oct 2016 23:07:23 +0000

Hi,

thanks for the bugreport, and thanks for using the gentoo-overlay :)

[email-masked] writes:

> Hello,
>
>      Someone in IRC asked me to email these errors here as a bug report, so I
> shall.
>
>      I was just trying to install Guix on a Gentoo machine via the
> youbroketheinternet overlay (installed via layman). During the initial 'guix
> pull;guix package -i hello', I ended up with a weird error at the very end of
> guix pull (as root);

For others to add: One of the federated sources of this overlay and the
only source with webview is at https://gnunet.org/git/
In the youbroketheinternet-overlay repository Guix is located in sys-apps/guix/

> Found valid signature for
> /gnu/store/7nfjg3f2c4s0jpz3vqh3iqdn9j1c3prq-perl-5.22.1
> From
> https://mirror.hydra.gnu.org/nar/7nfjg3f2c4s0jpz3vqh3iqdn9j1c3prq-perl-5.22.1
> Downloading 7nfjg3…-perl-5.22.1 (49.7MiB installed)...
>  perl-5.22.1                                              3.7MiB/s 00:04 | 15.2MiB transferred
> guix package: error: build failed: unexpected EOF reading a line
>
> then, when trying to run guix pull as a user, I got this (I havn't authorized
> hydra as the user, but I did as root);
>
> unpacking '/gnu/store/1wrar9kq9pnyg4mw0yg1qx5a5xrr4y5v-guix-latest.tar.gz'...
> The following derivation will be built:
>    /gnu/store/xrhj8sj7gdk74vmyqi8cg07zbhdxfbw6-guix-latest.drv
> building path(s) '/gnu/store/9mm7kqkdsmj67byll1k4vq65622gsrr0-guix-latest'
> guix pull: error: build failed: unexpected EOF reading a line
>
> I'm not sure what the problem is, but that is multiple EOF errors from the same
> command from different users, so someone should probably take a look at it.

As debugging can be difficult on Gentoo, and it could be just that - a
Gentoo problem - I'll send in details tomorrow on how a very minimal
(gentoo) system looks/behaves with the guix from the gentoo-overlay
installed.

But if this is a problem with Guix, someone else could help independent
from what I'll contribute.

> PS. I'm not sure if I'm subscribed to this mailing list, so if you need input
> from me, just make sure to email me a copy. Thanks.
>